Bug 812293 - use HTTP::Exception prints warning Having no space between pattern and following word is deprecated
use HTTP::Exception prints warning Having no space between pattern and follow...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-HTTP-Exception (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Emmanuel Seyman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 06:22 EDT by Jan Pazdziora
Modified: 2012-04-19 01:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-HTTP-Exception-0.04001-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 18:53:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2012-04-13 06:22:25 EDT
Description of problem:

Merely using HTTP::Exception module spits out warning

 Having no space between pattern and following word is deprecated

Please upgrade to the latest CPAN version.

Version-Release number of selected component (if applicable):

$ rpm -qf /usr/share/perl5/vendor_perl/HTTP/Exception/Loader.pm
perl-HTTP-Exception-0.03001-2.fc16.noarch

How reproducible:

Deterministic.

Steps to Reproduce:
1. Run $ perl -MHTTP::Exception -e 1
 
Actual results:

Having no space between pattern and following word is deprecated at (eval 16) line 5.

Expected results:

No such output.

Additional info:

http://cpansearch.perl.org/src/TMUELLER/HTTP-Exception-0.04001/Changes says

0.04      2012-02-18 22:04:20 Europe/Berlin
    HTTP::Status 6.03 added a status, that broke this module

which is a fix for this problem.
Comment 1 Emmanuel Seyman 2012-04-13 17:00:58 EDT
Let's do an update, then.
Comment 2 Fedora Update System 2012-04-13 17:50:10 EDT
perl-HTTP-Exception-0.04001-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-HTTP-Exception-0.04001-1.fc16
Comment 3 Fedora Update System 2012-04-13 17:50:19 EDT
perl-HTTP-Exception-0.04001-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-HTTP-Exception-0.04001-1.fc17
Comment 4 Fedora Update System 2012-04-13 21:44:16 EDT
Package perl-HTTP-Exception-0.04001-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-HTTP-Exception-0.04001-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5848/perl-HTTP-Exception-0.04001-1.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-04-18 18:53:40 EDT
perl-HTTP-Exception-0.04001-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-04-19 01:21:20 EDT
perl-HTTP-Exception-0.04001-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.